name='python3-flit-core'
version='3.12.0'
release='2'
desc='Distribution-building parts of Flit. See flit package for more information.'
homepage='https://github.com/pypa/flit'
maintainer='Evgeniy Khramov <xpamych@yandex.ru>'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('all')
license=('BSD 3-clause')
provides=('flit-core')
conflicts=('flit-core')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")

build_deps=("python3" "python3-pip")
build_deps_arch=("python" "python-pip")
build_deps_alpine=("python3" "py3-pip")

sources=("https://files.pythonhosted.org/packages/source/f/flit-core/flit_core-3.12.0.tar.gz")
checksums=('blake2b-256:6959b6fc2188dfc7ea4f936cd12b49d707f66a1cb7a1d2c16172963534db741b')

build() {
  cd "$srcdir/flit_core-${version}"
  python -m build --wheel --no-isolation
}

package() {
  cd "$srcdir/flit_core-${version}"
  pip install --root="${pkgdir}/" . --no-deps --ignore-installed --disable-pip-version-check
}

files() {
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/flit_core/*
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/flit_core-${version}.dist-info/*
}