name='python3-markdown-it-py'
version='3.0.0'
release='1'
desc='Python port of markdown-it. Markdown parsing, done right'
homepage=''
maintainer='Евгений Храмов <xpamych@yandex.ru>'
architectures=('all')
license=('custom:Unknown')
provides=('markdown-it-py')
conflicts=('markdown-it-py')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")

build_deps=("python3" "python3-pip")
build_deps_arch=("python" "python-pip")
build_deps_alpine=("python3" "py3-pip")

opt_deps=('python3-mdit-py-plugins: коллекция плагинов для markdown-it-py')

sources=("https://files.pythonhosted.org/packages/source/m/markdown-it-py/markdown-it-py-3.0.0.tar.gz")
checksums=('blake2b-256:38713b932df36c1a044d397a1f92d1cf91ee0a503d91e470cbd670aa66b07ed0')

build() {
  cd "$srcdir/markdown-it-py-${version}"
  python -m build --wheel --no-isolation
}

package() {
        cd "$srcdir/markdown-it-py-${version}"
        pip install --root="${pkgdir}/" . --no-deps --ignore-installed --disable-pip-version-check
}

files() {
  echo ./usr/local/bin/markdown-it
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/markdown_it/**/*
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/markdown_it_py-${version}.dist-info/*
}