name='python3-poetry-core'
version='2.1.3'
release='1'
desc='Poetry PEP 517 Build Backend.'
homepage=''
maintainer='Example <user@example.com>'
architectures=('all')
license=('MIT')
provides=('poetry-core')
conflicts=('poetry-core')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")

build_deps=("python3" "python3-pip")
build_deps_arch=("python" "python-pip")
build_deps_alpine=("python3" "py3-pip")

sources=("https://files.pythonhosted.org/packages/source/p/poetry-core/poetry_core-2.1.3.tar.gz")
checksums=('blake2b-256:44cac2d21635a4525d427ae969d4cde155fb055c3b5d0bc4199b6de35bb6a826')

build() {
        cd "$srcdir/poetry_core-${version}"
  python -m build --wheel --no-isolation
}

package() {
        cd "$srcdir/poetry_core-${version}"
        pip install --root="${pkgdir}/" . --no-deps --ignore-installed --disable-pip-version-check
}

files() {
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/poetry/*
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/poetry_core-${version}.dist-info/*
}