name='python3-sphinx'
version='8.2.3'
release='1'
desc='Python documentation generator.'
desc_ru='Генератор документации для Python.'
homepage='https://github.com/sphinx-doc/sphinx'
maintainer='Evgeniy Khramov <xpamych@yandex.ru>'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('all')
license=('custom')
provides=('sphinx')
conflicts=('sphinx')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")

build_deps=("python3" "python3-pip")
build_deps_arch=("python" "python-pip")
build_deps_alpine=("python3" "py3-pip")

sources=("https://files.pythonhosted.org/packages/source/s/Sphinx/sphinx-8.2.3.tar.gz")
checksums=('blake2b-256:38ad4360e50ed56cb483667b8e6dadf2d3fda62359593faabbe749a27c4eaca6')

build() {
        cd "$srcdir/sphinx-${version}"
  python -m build --wheel --no-isolation
}

package() {
        cd "$srcdir/sphinx-${version}"
        pip install --root="${pkgdir}/" . --no-deps --ignore-installed --disable-pip-version-check
}

files() {
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/sphinx/*
  printf '"%s" ' ./usr/local/lib/python3.*/site-packages/sphinx-${version}.dist-info/*
}